## openclipart2 2.0

=== debian/changelog ===
openclipart2 (2.0-2) unstable; urgency=low

  * Fixed typo in control file (closes: #676911, #678666)

 -- Martin Kelly <aomighty@gmail.com>  Sun, 10 Jun 2012 21:56:46 +0800

openclipart2 (2.0-1) unstable; urgency=low

  * Renamed from openclipart
  * Made the gengal gallery starting number be 100 so that we don't overwrite
    any files from openclipart.

 -- Martin Kelly <aomighty@gmail.com>  Wed, 23 May 2012 17:42:11 -0400

openclipart (2.0-2) unstable; urgency=low

  * Bumped Standards-Version to 3.9.3.0 (no changes needed)
  * Merged in Rene Engelhard's changes from experimental to fix basisX.Y /
    basis-link removal in LibreOffice 3.5 (closes: #663747)
  * Changed website address to http://openclipart.org from
    http://www.openclipart.org (closes: #664018)
  * Updated debhelper compatibility level to 9
  * Fixed a few lintian warnings regarding dependencies
  * Added build-arch and build-indep targets to the rules file

 -- Martin Kelly <aomighty@gmail.com>  Tue, 13 Mar 2012 18:22:41 -0400

openclipart (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #466343)
  * New maintainer, Martin Kelly <aomighty@gmail.com> (Closes: #585965)
  * Bumped Standards-Version to 3.9.2.0 (no changes needed)
  * Updated compat to 7
  * Removed overrides file; the problematic files aren't in this release, so
    it's no longer needed
  * Removed check for files with spaces; also no longer needed for same reason
  * Removed the moving of specific files which no longer exist
  * Removed the checking for oversized files; the latest versions of
    Libreoffice seem to work fine with the oversized files
  * Fixed clipart/liftarn/liftarn_Children.svg, changing it to utf-8 so that
    inkscape won't have problems with it
  * Quoted strings containing filenames since some have parantheses

 -- Martin Kelly <aomighty@gmail.com>  Sun, 05 Jun 2011 01:07:40 -0400

openclipart (0.18+dfsg-11) unstable; urgency=low
  
  * QA upload
  * adapt for LibreOffice 

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Feb 2011 13:11:38 +0100

openclipart (0.18+dfsg-10) unstable; urgency=medium

  * QA upload
  * set maintainer to Debian QA Group
  * throw away empty lines and double lines from the inkscape calls,
    thanks Wolfram Quester (closes: #594036) 

 -- Rene Engelhard <rene@debian.org>  Tue, 24 Aug 2010 23:55:26 +0200

openclipart (0.18+dfsg-9) unstable; urgency=low

  * rebuild for OOo 3.2 (closes: #565970)
  * mention that openclipart is a meta package (closes: #564313) 

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2010 13:24:01 +0100

openclipart (0.18+dfsg-8) unstable; urgency=low

  * rebuild for OOo 3.1
  * add conflicts against openoffice.org-commons newer than the basis we
    build against (( >= ${basis-version}.99) )
  * stop using Xvfb and rely on the headless mode of OOo/VCL. Makes the build
    not fail on sid due to Xvfb crashing... 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 May 2009 17:16:39 +0200

openclipart (0.18+dfsg-7) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Feb 2009 00:31:54 +0100

openclipart (0.18+dfsg-6) experimental; urgency=low

  * update for 3-layer OOo (basis-link)
  * move Homepage from description to Homepage:
  * remove bashisms (closes: #459115) 

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Jan 2009 08:45:16 +0100

openclipart (0.18+dfsg-5) unstable; urgency=low

  * new maintainer 

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2007 19:52:13 +0100

openclipart (0.18+dfsg-4) unstable; urgency=low

  * Fixed background size of router_joeseph_teed_01.svg (closes: bug#343999). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Dec 2005 15:05:58 +0100

openclipart (0.18+dfsg-3) unstable; urgency=low

  * Build images with the latest version of inkscape (>= 0.42.2+0.43pre1-1)
    which seems to be better than rsvg _at least for now_ (closes: bug#338321).
  * Move macchina_fotografica_di_01.svg to electronics (closes: bug#338323). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  9 Nov 2005 16:37:10 +0100

openclipart (0.18+dfsg-2) unstable; urgency=low

  * Build-depends on xbase-clients and xfonts-base (closes: bug#337204).
  * Added some more files to the list of svg files to build with inkscape.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  4 Nov 2005 22:19:07 +0100

openclipart (0.18+dfsg-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream version.
  * Lot of changes in the build process.
  * Seems that rsvg doesn't like some files, process them with inkscape.

  [ Rene Engelhard ]
  * build openclipart-openoffice.org dynamically using gengal instead
    of shippig manually pre-built files and also let the numbers
    only start at 70 to avoid collisions with OOo2. Build-Depend
    on openoffice.org-dev (>= 2.0.0) and xvfb (gengal needs X...).
  * add myself to Uploaders:

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  1 Nov 2005 02:16:07 +0100

openclipart (0.17+dfsg-4) unstable; urgency=low

  * Switch back to rsvg to convert svg images to png, as it seems that
    inkscape does not implement all the svg format (closes: bug#331715).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 Oct 2005 01:46:29 +0200

openclipart (0.17+dfsg-3) unstable; urgency=low

  * Added a build-dependency on fdupes (closes: bug#331565). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  4 Oct 2005 08:51:54 +0200

openclipart (0.17+dfsg-2) unstable; urgency=low

  * Remove Adobe Illustrator binary parts to save space in the svg files 
    (closes: bug#329896).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Sep 2005 15:27:36 +0200

openclipart (0.17+dfsg-1) unstable; urgency=low

  * New upstream version (closes: bug#320399).
  * Use the svg-only version of openclipart and generate the png files
    with inkscape.
  * Bumped Standards-Version to 3.6.2 (no changes).
  * Swapped the README file of openclipart and openclipart-svg (closes:
    bug#327873).


