=== debian/control ===
Source: openclipart2
Section: graphics
Priority: extra
Maintainer: Martin Kelly <aomighty@gmail.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: inkscape (>= 0.42.2+0.43pre1), fdupes, libreoffice-dev, java-gcj-compat, optipng
Build-Conflicts: libreoffice-dev (<< 1:3.5.0~)
Standards-Version: 3.9.3.0
Homepage: http://openclipart.org

Package: openclipart2
Architecture: all
Replaces: openclipart
Depends: openclipart2-svg (>= ${source:Version}), openclipart2-png (>= ${source:Version}), openclipart2-libreoffice (= ${source:Version}), ${misc:Depends}
Description: Open Clip Art Library
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains much more clipart than the standard openclipart, but it
 is sorted by artist (who created the clip art) rather than by subject (e.g.
 sports).
 .
 This package is a meta package installing both the SVG and PNG (converted
 from SVG) versions.

Package: openclipart2-svg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: openclipart-svg
Recommends: librsvg2-bin
Suggests: ksvg, gimp-svg, inkscape, sodipodi, sketch
Description: clip art in SVG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains much more clipart than the standard openclipart, but it
 is sorted by artist (who created the clip art) rather than by subject (e.g.
 sports).
 .
 This package contains the images in Scalable Vector Graphic
 (SVG) format, which is an XML format approved by the W3C.

Package: openclipart2-png
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: openclipart-png
Suggests: gimp
Description: clip art in PNG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains much more clipart than the standard openclipart, but it
 is sorted by artist (who created the clip art) rather than by subject (e.g.
 sports).
 .
 This package contains the images in Portable Network Graphics 
 (PNG) format.

Package: openclipart2-libreoffice
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openclipart2-png (= ${source:Version})
Conflicts: libreoffice-common (<< 1:3.5.0~beta~)
Recommends: libreoffice
Description: clip art for OpenOffice.org/LibreOffice gallery
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains much more clipart than the standard openclipart, but it
 is sorted by artist (who created the clip art) rather than by subject (e.g.
 sports).
 .
 This package contains the OpenOffice.org/LibreOffice Gallery info files.
