## openclipart2 2.0+dfsg

=== debian/changelog ===
openclipart2 (2.0+dfsg-1ubuntu1) saucy; urgency=low

  * Disable PNG optimisations on Ubuntu build daemons; they are extremely
    slow and do not justify the relatively modest decrease in size.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Oct 2013 15:57:45 +0100

openclipart2 (2.0+dfsg-1) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #691126).
  * Remove non-free pbhj_creating_an_oval_vignette.svg (closes: #692735)

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 18 Nov 2012 20:55:02 +0100
