=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openclipart2
 Section: graphics
 Priority: extra
-Maintainer: Martin Kelly <aomighty@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: inkscape (>= 0.42.2+0.43pre1), fdupes, libreoffice-dev, java-gcj-compat, optipng
 Build-Conflicts: libreoffice-dev (<< 1:3.5.0~)
